Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.borg.model.db.jdbc
Class MemoJdbcDB

    java.lang.Object
      net.sf.borg.model.db.jdbc.JdbcDB
          net.sf.borg.model.db.jdbc.MemoJdbcDB

All Implemented Interfaces:
  MemoDB

    public class MemoJdbcDB

extends JdbcDB
implements MemoDB

provides the JDBC layer for reading/writing Memos.

Field Summary

Fields inherited from class net.sf.borg.model.db.jdbc.JdbcDB
`connection_`

Constructor Summary
`MemoJdbcDB()`

Method Summary
`void` | `addMemo(Memo m)` Adds a memo to the database.
`void` | `delete(String name)` Delete a memo by name.
`Collection<String>` | `getNames()` Gets all memo names form the db
`Collection<Memo>` | `readAll()` Read all memos from the db
`Memo` | `readMemo(String name)` Read a memo by name
`void` | `updateMemo(Memo m)` Update a memo in the db.

Methods inherited from class net.sf.borg.model.db.jdbc.JdbcDB
`beginTransaction, buildDbDir, close, commitTransaction, connect, execSQL, getConnection, getOption, getOptions, getUrl, rollbackTransaction, setOption, toInt, toInt, toStr, toVect`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MemoJdbcDB

    public MemoJdbcDB()

Method Detail

### addMemo

    public void addMemo(Memo m)
                 throws Exception

  Description copied from interface: `MemoDB`
  Adds a memo to the database.

  Specified by:
    `addMemo` in interface `MemoDB`
  Parameters:
    `m` - the Memo
  Throws:
    `Exception`

### delete

    public void delete(String name)
                throws Exception

  Description copied from interface: `MemoDB`
  Delete a memo by name.

  Specified by:
    `delete` in interface `MemoDB`
  Parameters:
    `name` - the name
  Throws:
    `Exception`

### getNames

    public Collection<String> getNames()
                                throws Exception

  Description copied from interface: `MemoDB`
  Gets all memo names form the db

  Specified by:
    `getNames` in interface `MemoDB`
  Returns:
    a collection of memo names
  Throws:
    `Exception`

### readAll

    public Collection<Memo> readAll()
                             throws Exception

  Description copied from interface: `MemoDB`
  Read all memos from the db

  Specified by:
    `readAll` in interface `MemoDB`
  Returns:
    a collection of all memos
  Throws:
    `Exception`

### readMemo

    public Memo readMemo(String name)
                  throws Exception

  Description copied from interface: `MemoDB`
  Read a memo by name

  Specified by:
    `readMemo` in interface `MemoDB`
  Parameters:
    `name` - the name
  Returns:
    the memo
  Throws:
    `Exception`

### updateMemo

    public void updateMemo(Memo m)
                    throws Exception

  Description copied from interface: `MemoDB`
  Update a memo in the db.

  Specified by:
    `updateMemo` in interface `MemoDB`
  Parameters:
    `m` - the memo
  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Generated September 24 2010 by mbb using Apache Ant version 1.7.1 compiled on June 27 2008 and Java version 1.6.0_20 from Sun Microsystems Inc. on Linux i386 2.6.24-28-generic